# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE_MAGIC_CELL
# Automatically replaced inline charts by "no-op" charts
# %pylab inline
import matplotlib
matplotlib.use("Agg")

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
import dataiku
from dataiku import pandasutils as pdu
import pandas as pd

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Example: load a DSS dataset as a Pandas dataframe

dataset_orders = dataiku.Dataset("orders")
df = dataset_orders.get_dataframe()

orders_by_customer_df = df.assign(total=df.tshirt_price*df.tshirt_quantity
    ).groupby(by="customer_id"
        ).agg({"pages_visited":"mean",
            "total":"sum"}).reset_index()

#orders_by_customer_df.head()

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
#pdu.audit(df)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Recipe outputs
orders_by_customer = dataiku.Dataset("orders_by_customer")
orders_by_customer.write_with_schema(orders_by_customer_df)